| Home | Libraries | People | FAQ | More

##### operator<< (5 of 9 overloads)

Format to an output stream.

###### Synopsis

Defined in header `<boost/url/params_base.hpp>`

    std::ostream&
    operator<<(
        std::ostream& os,
        params_base const& qp);

###### Description

Any percent-escapes are emitted as-is; no decoding is performed.

###### Complexity

Linear in `ps.buffer().size()`.

###### Effects

    return os << ps.buffer();

Convenience header `<boost/url.hpp>`